create view pg_stat_replication_slots
            (slot_name, spill_txns, spill_count, spill_bytes, stream_txns, stream_count,
             stream_bytes, total_txns, total_bytes, stats_reset)
as
SELECT s.slot_name,
       s.spill_txns,
       s.spill_count,
       s.spill_bytes,
       s.stream_txns,
       s.stream_count,
       s.stream_bytes,
       s.total_txns,
       s.total_bytes,
       s.stats_reset
FROM pg_replication_slots r,
     LATERAL pg_stat_get_replication_slot(r.slot_name::text) s(slot_name, spill_txns,
                                                               spill_count, spill_bytes,
                                                               stream_txns,
                                                               stream_count,
                                                               stream_bytes, total_txns,
                                                               total_bytes, stats_reset)
WHERE r.datoid IS NOT NULL;

alter table pg_stat_replication_slots
    owner to postgres;

grant select on pg_stat_replication_slots to public;

